# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDockWidgetPrivate Class Reference

additional KDockWidget stuff (private) More...

`#include <kdockwidget_private.h>`

Inheritance diagram for KDockWidgetPrivate:

[legend]
Collaboration diagram for KDockWidgetPrivate:

[legend]
List of all members.

## Public Types

enum | KDockWidgetResize { ResizeLeft, ResizeTop, ResizeRight, ResizeBottom, ResizeBottomLeft, ResizeTopLeft, ResizeBottomRight, ResizeTopRight }

## Public Slots

void | slotFocusEmbeddedWidget (QWidget *w=0L)

## Public Attributes

int | index
int | splitPosInPercent
bool | pendingFocusInEvent
bool | blockHasUndockedSignal
bool | pendingDtor
int | forcedWidth
int | forcedHeight
bool | isContainer
NET::WindowType | windowType
QWidget * | _parent
bool | transient
QGuardedPtr< QWidget > | container
QPoint | resizePos
bool | resizing
KDockWidgetResize | resizeMode

## Detailed Description

additional KDockWidget stuff (private)

Definition at line 142 of file kdockwidget_private.h.

## Member Function Documentation

void KDockWidgetPrivate::slotFocusEmbeddedWidget | ( | QWidget * | w = `0L` | ) | `[slot]`

| Especially used for Tab page docking. Switching the pages requires additional setFocus() for the embedded widget. Definition at line 619 of file kdockwidget_private.cpp. References QWidget::focusPolicy(), and QWidget::setFocus().

The documentation for this class was generated from the following files:

- kdockwidget_private.h
- kdockwidget_private.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:08 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003